This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 521913 - Review Request: uxlaunch - A small and quick interface to start the Moblin Desktop
Review Request: uxlaunch - A small and quick interface to start the Moblin De...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMoblin20
  Show dependency treegraph
 
Reported: 2009-09-08 13:02 EDT by Peter Robinson
Modified: 2009-10-13 13:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 12:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-09-08 13:02:25 EDT
SPEC: http://pbrobinson.fedorapeople.org/uxlaunch.spec
SRPM: http://pbrobinson.fedorapeople.org/uxlaunch-0.23-1.fc11.src.rpm

Description:
An ultra-lightweight, very cut down gdm and gnome-session replacement 
designed to get the Moblin Desktop running as quick as possible.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1662920
Comment 1 Christoph Wickert 2009-09-10 13:17:06 EDT
REVIEW FOR 06972f151018e4610280e9a8368427de  uxlaunch-0.23-1.fc11.src.rpm


OK - MUST: $ rpmlint uxlaunch-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines: GPLv2
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 a7f77f2c42fd9897e1156fad4a60699f
OK - MUST: successfully compiles and builds into binary rpms on x86-64
OK - MUST: no ExcludeArch
OK - MUST: all build dependencies listed in BuildRequires
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: not designed to be relocatable
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
OK - MUST: no large documentation files
OK - MUST: files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
OK - MUST: packages does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: if scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: if the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - latest stable version
OK - source URL valid
OK - compiler flags honored
OK - debuginfo complete


Issues:
HINT - dbus-glib-devel is redundant because of dbus-glib-devel
FIX - Make is not verbose, although you set V=1
+ make -j4 V=1
  CC  uxlaunch.c
  CC  consolekit.c
  CC  dbus.c
  CC  desktop.c
  CC  misc.c
  CC  pam.c
  CC  user.c
  CC  xserver.c
  CC  lib.c
  CC  options.c
  LD  uxlaunch
Comment 2 Christoph Wickert 2009-10-10 18:59:20 EDT
Any progress? Fixing the Makefile is trivial, remove the @ signs e.g. by adding this at the end of %prep:

# make build verbose
sed -i 's!^\(\t\+\)@!\1!' Makefile

You can also drop %configure, it does absolutely nothing except
echo "# no configure needed"

Last bug not least you can drop V=1 from make. Apply these changes and consider the package APPROVED.
Comment 3 Peter Robinson 2009-10-13 06:58:01 EDT
Thanks! Updated package at http://pbrobinson.fedorapeople.org/

New Package CVS Request
=======================
Package Name: uxlaunch
Short Description: A small and quick interface to start the Moblin Desktop
Owners: pbrobinson
Branches: F-12
InitialCC:
Comment 4 Christoph Wickert 2009-10-13 07:49:21 EDT
(In reply to comment #3)
> Updated package at http://pbrobinson.fedorapeople.org/

Looks fine now.
Comment 5 Kevin Fenzi 2009-10-13 12:33:33 EDT
cvs done.
Comment 6 Peter Robinson 2009-10-13 12:53:32 EDT
Built and in rawhide
Comment 7 Christoph Wickert 2009-10-13 13:30:42 EDT
Did you also build this for F-12? Is moblin complete in F-12? If not, please build the missing packages request tagging from rel-eng.

To find out, if a package was tagged, use
$ koji list-tagged dist-f12 <package>
To request a tag for particular package, run
$ make tag-request
in the corresponding branch of your local cvs. If you have several packages, you might want to file a ticked manually at https://fedorahosted.org/rel-eng/newticket
Comment 8 Peter Robinson 2009-10-13 13:36:45 EDT
Already built and a ticket filed with rel-eng to get it tagged into F-12.

Note You need to log in before you can comment on or make changes to this bug.